package pps.core.base.service;

import pps.cloud.system.service.SysOrganizationCloudService;
import pps.cloud.system.service.data.GetAllOuListByOuIdInput;
import pps.cloud.system.service.data.GetSysOrganizationViewOutput;
import pps.core.base.config.excel.ExcelDynamicSelect;
import xstartup.base.XSelfServiceContext;
import xstartup.data.XListResult;

/**
 * 采油厂下拉选
 *
 * @author ZWT
 * @date 2024/05/07 10:28
 */
public class OilExtractionPlantImpl implements ExcelDynamicSelect {

    @Override
    public String[] getSource() {
        XSelfServiceContext build = XSelfServiceContext.build(SysOrganizationCloudService.class);
        SysOrganizationCloudService bean = build.getBean(SysOrganizationCloudService.class);
        GetAllOuListByOuIdInput input = new GetAllOuListByOuIdInput();
        input.setOuId("446285aa-ac58-435e-84af-19fc62a8267f");
        XListResult<GetSysOrganizationViewOutput> allListByOuId = bean.getAllListByOuId(build, input);
        return new String[0];
    }
}